Bug 57552 - excel import filter treats text cells as dates
Summary: excel import filter treats text cells as dates
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: filters (show other bugs)
Version: unspecified
Platform: Compiled Sources FreeBSD
: NOR normal (vote)
Target Milestone: ---
Assignee: Laurent Montel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-22 13:11 UTC by Tilman Keskinöz
Modified: 2011-06-28 11:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
This is the file which is imported correctly with koffice 1.2 and OOo. but not with 1.2.90 (17.00 KB, application/msexcel)
2003-04-22 13:13 UTC, Tilman Keskinöz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Keskinöz 2003-04-22 13:11:45 UTC
Version:           1.2.90 (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc 2.95.4 FreeBSD System Compiler
OS:          FreeBSD

a) If the first line in a column is a date,
kspread parses the whole column as dates..

1 is displayes 31/12/99
2 is displayes as 01/01/00

and so on.

in another column the number 308 is classified as: 03/11/00
Comment 1 Tilman Keskinöz 2003-04-22 13:13:57 UTC
Created attachment 1410 [details]
This is the file which is imported correctly with koffice 1.2 and OOo. but not with 1.2.90
Comment 2 Tilman Keskinöz 2004-02-07 15:09:50 UTC
This Bug is still present in Kspread 1.3 in KDE 3.2.0
Comment 3 Michael Nottebrock 2005-01-05 21:54:57 UTC
This bug regressed further, in KSpread 1.3.5 importing the attachment crashes kspread.
Comment 4 Tomas Mecir 2005-01-28 10:55:32 UTC
No crash with KSpread-CVS.
This bug seems to only affect the Excel import filter, not KSpread as a whole - updating bug info accordingly.

It looks like the Excel import filter incorrectly treats cells with Text formatting as cells with Date formatting - changing bug description accordingly.

For the record, old bug summary was:
kspread: format guessing parses numbers as date (1.2 did parse it correctly)
Comment 5 Bram Schoenmakers 2005-04-18 16:46:33 UTC
FYI:
The attachment doesn't make KSpread crash for me in KOffice 1.3.5.
In CVS (18 April 2005) I can see the same problem as Tomas mentioned.
Comment 6 Bram Schoenmakers 2005-04-20 12:13:51 UTC
Bug 46898 has many common with this one.
Comment 7 Ariya Hidayat 2005-05-23 18:30:14 UTC
This is fixed for KOffice 1.4 RC.
Comment 8 keerthi 2011-06-28 11:41:11 UTC
Verified in c7da761cd2cf245608e1498198a81cee6994f46e.